/**
 * Uhrzeit
 * 
 * @author Hennchen
 * @version 2007-06-05
 */

public class ClockTime {

    private int seconds;
    private int minutes;
    private int hours;

    /**
     * Erzeugt ein neues Element.
     */
    public ClockTime() {
        seconds = 0;
        minutes = 0;
        hours = 0;
    }

    /**
     * Erzeugt ein neues Element. Erwartet 3 Parameter
     * 
     * @param hours Stunden der Uhrzeit
     * @param minutes Minuten der Uhrzeit
     * @param seconds Sekunden der Uhrzeit
     * */
    public ClockTime(int hours, int minutes, int seconds) {
        this.seconds = seconds % 60;
        this.minutes = (seconds / 60 + minutes) % 60;
        this.hours = ((seconds / 60 + minutes) / 60 + hours) % 24;
    }

    /**
     * Erzeugt ein neues Element. Erwartet 1 Parameter
     * 
     * @param ct Erwartet anderes ClockTime-Objekt
     * */
    public ClockTime(ClockTime ct) {
        seconds = ct.getSeconds();
        minutes = ct.getMinutes();
        hours = ct.getHours();
    }

     /**
     * Gibt die Anzahl der Sekunden zurck
     * 
     * @return Sekunden der Uhr.
     *  */
    public int getSeconds() {
        return seconds;
    }

     /**
     * Gibt die Anzahl der Minnuten zurck
     * 
     * @return Minuten der Uhr.
     *  */
    public int getMinutes() {
        return minutes;
    }

     /**
     * Gibt die Anzahl der Stunden zurck
     * 
     * @return Stunden der Uhr.
     *  */    
    public int getHours() {
        return hours;
    }

     /**
     * Liefert true, wenn beide Objekte die selbe Zeitangabe haben.
     * 
     * @return true, wenn beide Objekte die selbe Zeitangabe haben, sonst false.
     *  */    
  
    public boolean isSame(ClockTime ct) {
        return seconds == ct.getSeconds() &&
            minutes == ct.getMinutes() &&
            hours == ct.getHours();
    }
}